
From: Jesse Barnes <jbarnes@engr.sgi.com>

I found that sn_console was missing an include and a fix if CONFIG_SMP=n.  
This patch fixes up the two small problems I found.

Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/sn_console.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/serial/sn_console.c~fix-sn_console-for-config_smp=n drivers/serial/sn_console.c
--- 25/drivers/serial/sn_console.c~fix-sn_console-for-config_smp=n	2004-08-15 15:40:38.161876312 -0700
+++ 25-akpm/drivers/serial/sn_console.c	2004-08-15 15:40:38.165875704 -0700
@@ -50,6 +50,7 @@
 #include <linux/miscdevice.h>
 #include <linux/serial_core.h>
 
+#include <asm/io.h>
 #include <asm/sn/simulator.h>
 #include <asm/sn/sn2/sn_private.h>
 #include <asm/sn/sn_sal.h>
@@ -1086,7 +1087,9 @@ sn_sal_console_write(struct console *co,
 			spin_unlock_irqrestore(&port->sc_port.lock, flags);
 
 			puts_raw_fixed(port->sc_ops->sal_puts_raw, s, count);
+#if defined(CONFIG_SMP) || defined(CONFIG_PREEMPT)
 		}
+#endif
 	}
 	else {
 		/* Not yet registered with serial core - simple case */
_
